import type { WatchOptionsBase } from 'vue';
import type { Hanlder } from '../type';
export declare const Computed: ComputedDecorator;
declare type EagerType = true | WatchOptionsBase['flush'];
export interface ComputedDecorator {
    /**
     * @param eager 是否是急切的获取值
     */
    (eager?: EagerType): MethodDecorator;
    MetadataKey: string | symbol;
}
export declare const ComputedHandler: Hanlder;
export {};
