import type { Hanlder } from '../type';
declare type Lifecycle = 'BeforeMount' | 'Mounted' | 'BeforeUpdate' | 'Updated' | 'BeforeUnmount' | 'Unmounted' | 'Activated' | 'Deactivated' | 'ErrorCaptured' | 'RenderTracked' | 'RenderTriggered' | 'ServerPrefetch';
export declare const Hook: HookDecorator;
export interface HookDecorator {
    (lifecycle: Lifecycle | Lifecycle[]): MethodDecorator;
    MetadataKey: string | symbol;
}
export declare const HookHandler: Hanlder;
export {};
